petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSGLLEAdaptRegister

adds a TSGLLEAdapt implementation

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGLLEAdaptRegister(const char sname[],PetscErrorCode (*function)(TSGLLEAdapt))

Not Collective

### Input Parameters

| name_scheme | - name of user-defined adaptivity scheme
| routine_create | - routine to create method context

### Notes

TSGLLEAdaptRegister() may be called multiple times to add several user-defined families.

### Sample usage

       TSGLLEAdaptRegister("my_scheme",MySchemeCreate);

Then, your scheme can be chosen with the procedural interface via

        TSGLLEAdaptSetType(ts,"my_scheme")

or at runtime via the option

        -ts_adapt_type my_scheme

### See Also

TSGLLEAdaptRegisterAll()

### Level

advanced

### Location

src/ts/impls/implicit/glle/glleadapt.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages